#!/bin/sh
#

EXT=openldap
TCZ=/tmp/$EXT/TCZ

sudo rm -rf /tmp/$EXT

DEPS="openssl-dev libltdl groff unixODBC-dev unixODBC cyrus-sasl-lite-dev cyrus-sasl-lite
 libtool-dev perl5"

NOTFOUND=""
for a in compiletc bash file squashfs-tools $DEPS
         do tce-load -i $a || tce-load -iwl $a || NOTFOUND=x
done
test -z "$NOTFOUND" || exit

#export CC="gcc -mtune=generic -O2 -pipe -flto -fuse-linker-plugin"
#export CXX="g++ -mtune=generic -O2 -pipe -fno-exceptions -fno-rtti -flto -fuse-linker-plugin"
#export LDFLAGS="-Wl,-O1"
export CC="gcc -mtune=generic -O1 -pipe"
export CXX="g++ -mtune=generic -O1 -pipe"

#make clean
./configure \
	--prefix=/usr/local \
	--localstatedir=/var \
	--with-threads \
	--with-tls=openssl \
	--with-cyrus-sasl \
	--enable-dynamic \
	--enable-shared \
	--enable-syslog \
	--enable-slapd \
	--enable-modules \
	--enable-backends=mod \
	--enable-overlays=mod \
	--disable-bdb \
	--disable-hdb \
	--disable-ndb \
	--with-odbc=unixodbc \
	|| exit

make depend || exit

make || exit

sed -i -e 's#/dev/null#/tmp/cmp-$(basename "$0").out#' tests/scripts/defines.sh
for a in tests/scripts/*; do sed -i -e 's#0 1 2 3 4 5#$(seq 0 99)#' $a; done
#for a in tests/scripts/*; do sed -i -e 's#! */bin/sh#!/bin/sh -xv #' $a; done

export NOEXIT=1
#make test 2>&1 | tee make-test.log

make install DESTDIR=$TCZ
for a in $(find $TCZ -type f); do file -b $a | grep -q '^ELF .*not stripped$' && strip --strip-unneeded $a; done

rm -rf $TCZ/opt/run

mkdir -p $TCZ-dev/usr/local/lib
mv $TCZ/usr/local/include $TCZ-dev/usr/local
mv $TCZ/usr/local/lib/*.a $TCZ-dev/usr/local/lib
mv $TCZ/usr/local/lib/*.la $TCZ-dev/usr/local/lib

mkdir -p $TCZ-doc/usr/local
mv $TCZ/usr/local/share $TCZ-doc/usr/local

sudo chown -R root.root $TCZ*

sudo mksquashfs $TCZ /tmp/$EXT/$EXT.tcz -noappend
mksquashfs $TCZ-dev /tmp/$EXT/$EXT-dev.tcz -noappend
mksquashfs $TCZ-doc /tmp/$EXT/$EXT-doc.tcz -noappend

